# QVM: Quaternions, Vectors, Matrices

### boost/qvm/mat_access.hpp

This header provides generic access to the elements of a given matrix object.

### Synopsis:

#include <boost/qvm/mat_access.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_quat<Q>::value

            template <int R,int C,class M> -unspecified-return-type- A( M & m );

            template <class M> -unspecified-return-type- A00( M & m );
            template <class M> -unspecified-return-type- A01( M & m );
            ...
            template <class M> -unspecified-return-type- A09( M & m );
            template <class M> -unspecified-return-type- A10( M & m );
            ...
            template <class M> -unspecified-return-type- A99( M & m );
        }
    }

See also: Accessing Matrix Elements